
procedure OpenOutFile(var Outfile : text);
var
  OutFileName : string;
  OK          : boolean;
  Ch          : char;
function FileExist(var FileName : string) : boolean;
var
  Fil      : file;
  FilExist : boolean;
begin
  assign(Fil,FileName);
  {$I-} reset(Fil) {$I+};
  FilExist := (IOresult = 0);
  if FilExist then close(Fil);
  FileExist := FilExist;
end; {of FileExist}
begin {of OpenOutFile}
repeat
  OK := false;
  write('Enter Name of Output File:  ');
  readln(OutFileName);
  if FileExist(OutFileName)
  then begin
    write('File Already Exists; OK to Overwrite (DESTROY)? (y/n)');
    Ch := ReadKey;
    writeln;
    if upcase(Ch)='Y' then OK:=true else OK:=false
    end
  else OK := true;
  if OK
  then begin
    assign(OutFile, OutFileName);
    rewrite(OutFile);
    end
until OK;
end; {of OpenOutFile}
