
function Power(X,Y:real) : Real;       {returns X^Y}
{In general, X^Y = Exp(Y*Ln(X)) but X^Y gives an error if
     1) X = 0 and Y = 0
  or 2) Y < 0 and Y is non-integer}
begin {of function Power}
if (Y=0) and (X<>0)
  then Power := 1
else if X > 0
  then Power := exp(Y*Ln(X))
else if (X=0) and (Y>0)
  then Power := 0
else if (X<0) and (Y=trunc(Y))
  then if ((trunc(Y) and $0001) = $0001)
    then Power := -1.0*Exp(Y*Ln(Abs(X)))
    else Power := Exp(Y*Ln(Abs(X)))
else
  begin
  WriteLn('Runtime Error in Power(X,Y)  [= X^Y]:');
  WriteLn('  X = ',X);
  WriteLn('  Y = ',Y);
  halt;
  end;
end;
