
procedure GetKeyPressed(var Key: Integer);
{Return ASCII value of key pressed at the keyboard with no DOS redirection;
 extended keys are indicated by values > 255}
var
  Ch         : Char;
  ExtScanCode: Boolean;
begin {of procedure GetKeyPressed}
ExtScanCode := False;
Ch := ReadKey;
if (Ch = #00) and KeyPressed
then
  begin
  Ch := ReadKey;
  ExtScanCode := True;
  end;
Key := Ord(Ch);
if ExtScanCode then Key := Key + 256;
end; {of procedure GetKeyPressed}

procedure ClearKeyPressed;
{Clears keyboard buffer but not the standard input device}
var
  Ch : Char;
begin {of procedure ClearKeyPressed}
While KeyPressed do
  Ch := ReadKey;
end; {of procedure ClearKeyPressed}

{$IFDEF MSDOS}
Procedure ReadChar(var Key: Integer);
{Return ASCII value of next character from the standard input device;
 extended keys are indicated by values > 255}
var
  Regs       : Registers;
  Ch         : Char;
  ExtScanCode: Boolean;
begin {of procedure ReadChar}
ExtScanCode := False;
Regs.AH := $07;
MsDOS(Regs);
Ch := Chr(Regs.AL);
if Ch = #00
then
  begin
  Regs.AH := $07;
  MsDOS(Regs);
  Ch := Chr(Regs.AL);
  ExtScanCode := True;
  end;
Key := Ord(Ch);
if ExtScanCode then Key := Key + 256;
end; {of procedure ReadChar}
{$ENDIF}

Procedure Beep;
begin {of procedure Beep}
{$IFDEF MSDOS}
Sound(600);
Delay(100);
NoSound;
{$ENDIF}
{$IFDEF WINDOWS}
MessageBeep(0);
{$ENDIF}
end; {of procedure Beep}
